This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 834434 - [config editor] property values that are longer than 25 characters or so get cut off and user has to select-all, then copy and paste to see the entire value
[config editor] property values that are longer than 25 characters or so get ...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 17:14 EDT by Ian Springer
Modified: 2015-02-01 18:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Ian Springer 2012-06-21 17:16:52 EDT
(04:53:20 PM) ips: we actually had the tooltip functionality in the old jsf config editor, but i think i forgot to port it over
(04:54:39 PM) hdouglas: well then that part is an easy fix :)

(04:51:55 PM) ips: making the input field wider on focus is a cool idea. that would take some experimentation to see if smartgwt provides an easy way to do that
(04:52:44 PM) ips: it might be tricky, since you'd be making the width of one table cell wider than the rest of the cells in the same column
(04:52:48 PM) hdouglas: Yeah, that would be sweet if that could pull that off. 
(04:53:39 PM) hdouglas: I think all would have to shift at that point.
(04:54:03 PM) hdouglas: I'd have to see it in action.
(04:54:41 PM) ips: yeah, unless you got really crafty and popped up a modal that still had the illusion of the existing form field getting wider
(04:55:17 PM) hdouglas: Hummm… that could work
(04:55:25 PM) ips: and then once the modal is closed (by user changing focus or hitting enter/esc, we could programmatically transfer the value to the actual form field
(04:55:50 PM) hdouglas: sounds good! That would be sweet!
Comment 2 Ian Springer 2012-06-21 17:48:20 EDT
The (easier) tooltip portion of this is done in master:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=251a17e

Note You need to log in before you can comment on or make changes to this bug.